Bug 969411 - kiten included non-free content
kiten included non-free content
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kiten (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-05-31 07:35 EDT by mejiko
Modified: 2014-02-25 12:39 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 12:39:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bundled license file (13.20 KB, text/html)
2013-05-31 08:34 EDT, Rex Dieter
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 182652 None None None Never

  None (edit)
Description mejiko 2013-05-31 07:35:05 EDT
Hello.

kiten included non-free content.


Files:

kiten-4.10.3/data/kanjidic


Kanjidic (and Kanjidic2) is free, and Fedora acceptable license. (License is CC-BY-SA 3.0).
but Kanjidic (and Kanjidic2) is mixing non-free content.


License URI:

http://www.edrdg.org/edrdg/licence.html (See Section 3 and 7)

Non-free code license is CC-BY-NC-SA, Its non-free.
Non-free code included Kanjidic and Kanjidic2.


License URI:

http://www.kanji.org/kanji/dictionaries/skip_permission.htm



Suggests:

1. Remove non-free code and rebuild.

2. Remove fedora repos.

3. Contact upstream author.


Thanks.



Reference:

http://www.csse.monash.edu.au/~jwb/kanjidic.html
http://www.csse.monash.edu.au/~jwb/kanjidic2/kanjidic2_ov.html
http://www.csse.monash.edu.au/~jwb/kanjidic_doc.html
http://packages.debian.org/ja/sid/kanjidic-xml
http://packages.debian.org/sid/kanjidic
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182652
Comment 1 mejiko 2013-05-31 07:35:38 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Rex Dieter 2013-05-31 08:16:43 EDT
Sheesh, debian has known about this since ... 2003, and never contacted upstream yet (as far as I can tell)?  I'll do so, they should fix it in short-order as it's clearly also a violation of upstream licensing policy:
http://techbase.kde.org/Policies/Licensing_Policy
Comment 3 Rex Dieter 2013-05-31 08:18:56 EDT
Oh, looking closer, that debian bug is not against kiten, but kanjidict.  I withdraw my criticism.
Comment 4 Rex Dieter 2013-05-31 08:33:49 EDT
Upon looking closer, I suspect this issue is already resolved, I see the embedded license file
https://projects.kde.org/projects/kde/kdeedu/kiten/repository/revisions/master/changes/data/edrdg_license.html

varies a bit from 
http://www.edrdg.org/edrdg/licence.html

and now explicitly includes the text:

"Note also that provided the conditions above are met, there is NO restriction placed on commercial use of the files. The files can be bundled with software and sold for whatever the developer wants to charge. Software using these files does not have to be under any form of open-source licence.

Where use of the files results in a financial return to the user, it is suggested that the user make a donation to the Group to assist with the continued development of the files."

Which to my untrained eye looks *not* like CC-BY-NC-SA as claimed, though I'll let FE-Legal comment on the "suggested donation" part.
Comment 5 Rex Dieter 2013-05-31 08:34:40 EDT
Created attachment 755249 [details]
bundled license file
Comment 6 Rex Dieter 2013-05-31 08:36:53 EDT
Arg, now I see the bundled copy also includes section 7:


7. Special Conditions for the KANJIDIC, KANJD212 and KANJIDIC2 Files

Jack HALPERN: The SKIP codes.

Note that the SKIP codes are under their own similar Creative Common licence. See Jack Halpern's conditions of use page. Note that commercial applications using the SKIP codes must have prior permission from Jack Halpern.

Which, also to my untrained eye seems to contradict the claim above above about "NO restriction..." :(
Comment 7 Tom "spot" Callaway 2013-05-31 09:26:18 EDT
Yeah, those SKIP bits are pretty clearly CC-BY-NC-SA. Rex, I suppose you can either remove them (if possible) or you can ask Jack Halpern to waive the NC clause.
Comment 8 mejiko 2013-08-04 22:46:03 EDT
Fedora 19 version is not resolved this problem.
Comment 9 Jens Petersen 2014-02-04 00:40:18 EST
I suggest removing the SKIP code info like Debian does see:

http://packages.debian.org/source/sid/kanjidic
-> http://ftp.de.debian.org/debian/pool/main/k/kanjidic/kanjidic_2012.05.09-1.diff.gz
-> debian/download (script includes SKIP content "removal")

Assuming the SKIP codes are not redistributable even in source form
then better to respin the tarball like Debian does.

Or even better Fedora should really ship kanjidic as
a separate package like Debian.
Comment 10 Rex Dieter 2014-02-06 11:54:31 EST
Poking upstream kde-licensing list:

http://lists.kde.org/?l=kde-licensing&m=139170558909303&w=2
Comment 11 Rex Dieter 2014-02-06 11:55:12 EST
(marking FutureFeature, to avoid any risk of this getting auto-closed)
Comment 12 Jens Petersen 2014-02-17 00:27:38 EST
Fedora tomoe has been updated to remove the skip code data from src and bin packages.
Comment 13 Tom "spot" Callaway 2014-02-25 12:39:44 EST
removed skip code in modified tarball (with script) in kiten-4.12.2-2.fc21.

Note You need to log in before you can comment on or make changes to this bug.